
signature Problem1 = sig
(* code in problem1.sml *)
  type bignum = MyBigNums.bignum

  val toString : bignum -> string

end

signature Problem2 = sig
(* code in problem2.sml *)
  type bignum = MyBigNums.bignum

  val negate : bignum -> bignum

end

signature Problem3 = sig
(* code in problem3.sml *)
  type bignum = MyBigNums.bignum

  val equal : bignum * bignum -> bool
  val less : bignum * bignum -> bool
  val lessEq : bignum * bignum -> bool

end

signature Problem4 = sig
(* code in problem4.sml *)
  type bignum = MyBigNums.bignum

  val plus : bignum * bignum -> bignum
  val minus : bignum * bignum -> bignum
  val times : bignum * bignum -> bignum

end

signature Challenge = sig
(* code in extra.sml *)
  type bignum = MyBigNums.bignum

  val divide : bignum * bignum -> bignum
  val modulo : bignum * bignum -> bignum

end