
structure BigNums :> BIGNUMS = struct

  structure I = IntInf

  type bignum = I.int


  val fromString = I.fromString
  fun toInt (i:bignum):int option = SOME (I.toInt (i)) handle _ => NONE
  val fromInt = I.fromInt

  val negate = I.~

  fun equal (i1:bignum, i2:bignum):bool = (i1=i2)
  val less = I.<
  val lessEq = I.<=

  val plus = I.+
  val minus = I.-
  val times = I.*

  val divide = I.div
  val modulo = I.mod

end